<template>
  <j-modal
    :title='title'
    :width='width'
    :visible='visible'
    switchFullscreen
    @ok='handleOk'
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel='handleCancel'
    cancelText='关闭'>
    <client-contact-form ref='realForm' @ok='submitCallback' :disabled='disableSubmit'></client-contact-form>
  </j-modal>
</template>

<script>

import ClientContactForm from './ClientContactForm'
import { postAction } from '@api/manage'

export default {
  name: 'ClientContactModel',
  components: {
    ClientContactForm
  },
  data() {
    return {
      title: '',
      width: 800,
      visible: false,
      disableSubmit: false,

      url: {
        add: '/base/clientContact/add',
      },

      clientId: "",
    }
  },
  methods: {
    add(clientId) {
      this.clientId = clientId
      console.log(clientId)
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add()
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record)
      })
    },
    close() {
      this.$emit('close')
      this.visible = false
    },



    handleOk() {
      this.$refs.realForm.submitForm(this.clientId)
    },
    submitCallback() {
      this.$emit('ok')
      this.visible = false
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>